%global pypi_name click-spinner
%global commit b27b8d1e2785ce75be1433e579e05193a9b3a782
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           python-%{pypi_name}
Version:        0.1.10
Release:    3%{?dist}
Summary:        Spinner for Click

License:        MIT
URL:            https://github.com/click-contrib/click-spinner
Source0:        %{url}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
BuildArch:      noarch

Provides:       python-blindspin = %{version}-%{release}

%description
Click Spinner shows the user some progress when a progress bar is
not suitable because you don’t know how much longer it would take.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires: sed

BuildRequires:  python3-devel
BuildRequires:  python3dist(click)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(pip)

%description -n python3-%{pypi_name}
Click Spinner shows the user some progress when a progress bar is
not suitable because you don’t know how much longer it would take.

%prep
%autosetup -n %{pypi_name}-%{commit}
sed -i "s/versioneer.get_version()/'%{version}'/g" setup.py
sed -i "s/description-file/description_file/g" setup.py
sed -i "/from . import _version/d" click_spinner/__init__.py
sed -i "s/_version.get_versions()\['version'\]/'%{version}'/g" click_spinner/__init__.py

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files click_spinner

%check
%pytest -v tests

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license LICENSE

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.1.10-3
- Rebuilt for loongarch64

* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.1.10-2
- Rebuilt for loongarch64

* Thu Jun 27 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.10-1
- initial build
